Skip to content

Create Container Registry

POST
/api/v1/container_registry/setup-container-registry/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/setup-container-registry/?location=<LOCATION>&project_id=<PROJECT_ID>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"project_name": "cr-12345",
"prevent_vul": "true",
"severity": "none"
}'
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

project_id
required
integer
Media typeapplication/json
object
project_name
string

Example

cr-12345
prevent_vul
string

Example

true
severity
string
Allowed values: low medium high critical none

Example

none

Container Registry setup status retrieved successfully.

Media typeapplication/json
object
code
integer
data
object
setup_status
string
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": {
"setup_status": "Container Registry Setup In Progress"
},
"errors": {},
"message": "Success"
}